﻿using System;
using System.Activities;
using System.Text;
using Microsoft.TeamFoundation.Build.Client;


namespace ActivityLibrary
{
    // 5/2/2011
    [BuildActivity(HostEnvironmentOption.Agent)]
    public class ConvertSourceDirToRelativeDirActivity : CodeActivity <string>
    {
        // Define an activity input argument of type string
        [RequiredArgument]
        public InArgument<string> SourceDirectory { get; set; }

        [RequiredArgument]
        public InArgument<string> ProjectLocalPath { get; set; }

        // If your activity returns a value, derive from CodeActivity<TResult>
        // and return the value from the Execute method.
        protected override string Execute(CodeActivityContext context)
        {
           
            // Obtain the runtime value of the SourceDirectory input argument
            var sourceDirectory = context.GetValue(SourceDirectory);

            // Obtain the runtime value of the ProjectLocalPath input argument
            var projectLocalPath = context.GetValue(ProjectLocalPath);

            // Trim sourceDirectory from localPath
            var localPathWithoutSource = projectLocalPath.TrimStart(sourceDirectory.ToCharArray());

            // Trim solution name off from end of localPath
            var seperators = new string[1];
            seperators[0] = "\\";
            var localPathInChunks = localPathWithoutSource.Split(seperators, StringSplitOptions.None);

            // Rebuild string without final chunk
            var chunkLengthLessOne = localPathInChunks.Length - 1;
            var finalResult = new StringBuilder(200);
            finalResult.Append(@"\");
            for (var i = 0; i < chunkLengthLessOne; i++)
            {
                finalResult.Append(localPathInChunks[i] + @"\");
            }

            return finalResult.ToString();
        }

        //[TestMethod]
        /*public void TestConvertSourceDirActivity()
        {
            // Invoke the workflow Activity
            var result = WorkflowInvoker.Invoke(new ConvertSourceDirToRelativeDirActivity()
            {
                ProjectLocalPath = @"C:\Builds\18\ImageCloudLock\ImageCloudLock_WCF_API\Sources\Visual Studio 2010\Projects\ImageCloudLock\LogWinEvents\LogWinEvents.csproj",
                SourceDirectory = @"C:\Builds\18\ImageCloudLock\ImageCloudLock_WCF_API\Sources"
            });

            // Check if we got the correct result.
            Assert.AreEqual(@"\\Visual Studio 2010\\Projects\\ImageCloudLock\\LogWinEvents\\", result);
        }*/

        
    }
}
