/******************************************************************************* 
 *  Copyright 2007 Amazon Technologies, Inc.  
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  
 *  You may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at: http://aws.amazon.com/apache2.0
 *  This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 *  CONDITIONS OF ANY KIND, either express or implied. See the License for the 
 *  specific language governing permissions and limitations under the License.
 * ***************************************************************************** 
 *    __  _    _  ___ 
 *   (  )( \/\/ )/ __)
 *   /__\ \    / \__ \
 *  (_)(_) \/\/  (___/
 * 
 *  Amazon LS CSharp Library
 *  API Version: 2007-06-05
 *  Generated: Wed Nov 14 17:05:49 PST 2007 
 * 
 */

using System;
using System.Xml.Serialization;
using System.Collections.Generic;

namespace ImageNexus.BenScharbach.ICLTools.Amazon.LS.Amazon.LS.Model
{
    [XmlType(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/")]
    [XmlRoot(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/", IsNullable = false)]
    public class ActivateDesktopProduct
    {
    
        private String activationKeyField;

        private String productTokenField;

        private String tokenExpirationField;


        /// <summary>
        /// Gets and sets the ActivationKey property.
        /// </summary>
        [XmlElement(ElementName = "ActivationKey")]
        public String ActivationKey
        {
            get { return this.activationKeyField ; }
            set { this.activationKeyField= value; }
        }



        /// <summary>
        /// Sets the ActivationKey property
        /// </summary>
        /// <param name="activationKey">ActivationKey property</param>
        /// <returns>this instance</returns>
        public ActivateDesktopProduct WithActivationKey(String activationKey)
        {
            this.activationKeyField = activationKey;
            return this;
        }



        /// <summary>
        /// Checks if ActivationKey property is set
        /// </summary>
        /// <returns>true if ActivationKey property is set</returns>
        public Boolean IsSetActivationKey()
        {
            return  this.activationKeyField != null;

        }


        /// <summary>
        /// Gets and sets the ProductToken property.
        /// </summary>
        [XmlElement(ElementName = "ProductToken")]
        public String ProductToken
        {
            get { return this.productTokenField ; }
            set { this.productTokenField= value; }
        }



        /// <summary>
        /// Sets the ProductToken property
        /// </summary>
        /// <param name="productToken">ProductToken property</param>
        /// <returns>this instance</returns>
        public ActivateDesktopProduct WithProductToken(String productToken)
        {
            this.productTokenField = productToken;
            return this;
        }



        /// <summary>
        /// Checks if ProductToken property is set
        /// </summary>
        /// <returns>true if ProductToken property is set</returns>
        public Boolean IsSetProductToken()
        {
            return  this.productTokenField != null;

        }


        /// <summary>
        /// Gets and sets the TokenExpiration property.
        /// </summary>
        [XmlElement(ElementName = "TokenExpiration")]
        public String TokenExpiration
        {
            get { return this.tokenExpirationField ; }
            set { this.tokenExpirationField= value; }
        }



        /// <summary>
        /// Sets the TokenExpiration property
        /// </summary>
        /// <param name="tokenExpiration">TokenExpiration property</param>
        /// <returns>this instance</returns>
        public ActivateDesktopProduct WithTokenExpiration(String tokenExpiration)
        {
            this.tokenExpirationField = tokenExpiration;
            return this;
        }



        /// <summary>
        /// Checks if TokenExpiration property is set
        /// </summary>
        /// <returns>true if TokenExpiration property is set</returns>
        public Boolean IsSetTokenExpiration()
        {
            return  this.tokenExpirationField != null;

        }





        /// <summary>
        /// Representation of operation that returns
        /// Dictionary of AWS Query Parameters
        /// </summary>
        public IDictionary<String, String> ToDictionary()
        {
            IDictionary<String, String> parameters = new Dictionary<String, String>();
            parameters.Add("Action", "ActivateDesktopProduct");
            if (IsSetActivationKey()) 
            {
                parameters.Add("ActivationKey", ActivationKey);
            }
            if (IsSetProductToken()) 
            {
                parameters.Add("ProductToken", ProductToken);
            }
            if (IsSetTokenExpiration()) 
            {
                parameters.Add("TokenExpiration", TokenExpiration + "");
            }
            return parameters;
        }


    }

}