/******************************************************************************* 
 *  Copyright 2007 Amazon Technologies, Inc.  
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  
 *  You may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at: http://aws.amazon.com/apache2.0
 *  This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 *  CONDITIONS OF ANY KIND, either express or implied. See the License for the 
 *  specific language governing permissions and limitations under the License.
 * ***************************************************************************** 
 *    __  _    _  ___ 
 *   (  )( \/\/ )/ __)
 *   /__\ \    / \__ \
 *  (_)(_) \/\/  (___/
 * 
 *  Amazon LS CSharp Library
 *  API Version: 2007-06-05
 *  Generated: Wed Nov 14 17:05:49 PST 2007 
 * 
 */

using System;
using System.Xml.Serialization;
using System.Text;

namespace ImageNexus.BenScharbach.ICLTools.Amazon.LS.Amazon.LS.Model
{
    [XmlType(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/")]
    [XmlRoot(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/", IsNullable = false)]
    public class ActivateDesktopProductResult
    {
    
        private String userTokenField;

        private String AWSAccessKeyIdField;

        private String secretAccessKeyField;


        /// <summary>
        /// Gets and sets the UserToken property.
        /// </summary>
        [XmlElement(ElementName = "UserToken")]
        public String UserToken
        {
            get { return this.userTokenField ; }
            set { this.userTokenField= value; }
        }



        /// <summary>
        /// Sets the UserToken property
        /// </summary>
        /// <param name="userToken">UserToken property</param>
        /// <returns>this instance</returns>
        public ActivateDesktopProductResult WithUserToken(String userToken)
        {
            this.userTokenField = userToken;
            return this;
        }



        /// <summary>
        /// Checks if UserToken property is set
        /// </summary>
        /// <returns>true if UserToken property is set</returns>
        public Boolean IsSetUserToken()
        {
            return  this.userTokenField != null;

        }


        /// <summary>
        /// Gets and sets the AWSAccessKeyId property.
        /// </summary>
        [XmlElement(ElementName = "AWSAccessKeyId")]
        public String AWSAccessKeyId
        {
            get { return this.AWSAccessKeyIdField ; }
            set { this.AWSAccessKeyIdField= value; }
        }



        /// <summary>
        /// Sets the AWSAccessKeyId property
        /// </summary>
        /// <param name="AWSAccessKeyId">AWSAccessKeyId property</param>
        /// <returns>this instance</returns>
        public ActivateDesktopProductResult WithAWSAccessKeyId(String AWSAccessKeyId)
        {
            this.AWSAccessKeyIdField = AWSAccessKeyId;
            return this;
        }



        /// <summary>
        /// Checks if AWSAccessKeyId property is set
        /// </summary>
        /// <returns>true if AWSAccessKeyId property is set</returns>
        public Boolean IsSetAWSAccessKeyId()
        {
            return  this.AWSAccessKeyIdField != null;

        }


        /// <summary>
        /// Gets and sets the SecretAccessKey property.
        /// </summary>
        [XmlElement(ElementName = "SecretAccessKey")]
        public String SecretAccessKey
        {
            get { return this.secretAccessKeyField ; }
            set { this.secretAccessKeyField= value; }
        }



        /// <summary>
        /// Sets the SecretAccessKey property
        /// </summary>
        /// <param name="secretAccessKey">SecretAccessKey property</param>
        /// <returns>this instance</returns>
        public ActivateDesktopProductResult WithSecretAccessKey(String secretAccessKey)
        {
            this.secretAccessKeyField = secretAccessKey;
            return this;
        }



        /// <summary>
        /// Checks if SecretAccessKey property is set
        /// </summary>
        /// <returns>true if SecretAccessKey property is set</returns>
        public Boolean IsSetSecretAccessKey()
        {
            return  this.secretAccessKeyField != null;

        }




        /// <summary>
        /// XML fragment representation of this object
        /// </summary>
        /// <returns>XML fragment for this object.</returns>
        /// <remarks>
        /// Name for outer tag expected to be set by calling method. 
        /// This fragment returns inner properties representation only
        /// </remarks>


        protected internal String ToXMLFragment() {
            StringBuilder xml = new StringBuilder();
            if (IsSetUserToken()) {
                xml.Append("<UserToken>");
                xml.Append(EscapeXML(this.UserToken));
                xml.Append("</UserToken>");
            }
            if (IsSetAWSAccessKeyId()) {
                xml.Append("<AWSAccessKeyId>");
                xml.Append(EscapeXML(this.AWSAccessKeyId));
                xml.Append("</AWSAccessKeyId>");
            }
            if (IsSetSecretAccessKey()) {
                xml.Append("<SecretAccessKey>");
                xml.Append(EscapeXML(this.SecretAccessKey));
                xml.Append("</SecretAccessKey>");
            }
            return xml.ToString();
        }

        /**
         * 
         * Escape XML special characters
         */
        private String EscapeXML(String str) {
            StringBuilder sb = new StringBuilder();
            foreach (Char c in str)
            {
                switch (c) {
                case '&':
                    sb.Append("&amp;");
                    break;
                case '<':
                    sb.Append("&lt;");
                    break;
                case '>':
                    sb.Append("&gt;");
                    break;
                case '\'':
                    sb.Append("&#039;");
                    break;
                case '"':
                    sb.Append("&quot;");
                    break;
                default:
                    sb.Append(c);
                    break;
                }
            }
            return sb.ToString();
        }




    }

}