/******************************************************************************* 
 *  Copyright 2007 Amazon Technologies, Inc.  
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  
 *  You may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at: http://aws.amazon.com/apache2.0
 *  This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 *  CONDITIONS OF ANY KIND, either express or implied. See the License for the 
 *  specific language governing permissions and limitations under the License.
 * ***************************************************************************** 
 *    __  _    _  ___ 
 *   (  )( \/\/ )/ __)
 *   /__\ \    / \__ \
 *  (_)(_) \/\/  (___/
 * 
 *  Amazon LS CSharp Library
 *  API Version: 2007-06-05
 *  Generated: Wed Nov 14 17:05:49 PST 2007 
 * 
 */

using System;
using System.Xml.Serialization;
using System.Collections.Generic;

namespace ImageNexus.BenScharbach.ICLTools.Amazon.LS.Amazon.LS.Model
{
    [XmlType(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/")]
    [XmlRoot(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/", IsNullable = false)]
    public class GetActiveSubscriptionsByPid
    {
    
        private String persistentIdentifierField;


        /// <summary>
        /// Gets and sets the PersistentIdentifier property.
        /// </summary>
        [XmlElement(ElementName = "PersistentIdentifier")]
        public String PersistentIdentifier
        {
            get { return this.persistentIdentifierField ; }
            set { this.persistentIdentifierField= value; }
        }



        /// <summary>
        /// Sets the PersistentIdentifier property
        /// </summary>
        /// <param name="persistentIdentifier">PersistentIdentifier property</param>
        /// <returns>this instance</returns>
        public GetActiveSubscriptionsByPid WithPersistentIdentifier(String persistentIdentifier)
        {
            this.persistentIdentifierField = persistentIdentifier;
            return this;
        }



        /// <summary>
        /// Checks if PersistentIdentifier property is set
        /// </summary>
        /// <returns>true if PersistentIdentifier property is set</returns>
        public Boolean IsSetPersistentIdentifier()
        {
            return  this.persistentIdentifierField != null;

        }





        /// <summary>
        /// Representation of operation that returns
        /// Dictionary of AWS Query Parameters
        /// </summary>
        public IDictionary<String, String> ToDictionary()
        {
            IDictionary<String, String> parameters = new Dictionary<String, String>();
            parameters.Add("Action", "GetActiveSubscriptionsByPid");
            if (IsSetPersistentIdentifier()) 
            {
                parameters.Add("PersistentIdentifier", PersistentIdentifier);
            }
            return parameters;
        }


    }

}