/******************************************************************************* 
 *  Copyright 2007 Amazon Technologies, Inc.  
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  
 *  You may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at: http://aws.amazon.com/apache2.0
 *  This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 *  CONDITIONS OF ANY KIND, either express or implied. See the License for the 
 *  specific language governing permissions and limitations under the License.
 * ***************************************************************************** 
 *    __  _    _  ___ 
 *   (  )( \/\/ )/ __)
 *   /__\ \    / \__ \
 *  (_)(_) \/\/  (___/
 * 
 *  Amazon LS CSharp Library
 *  API Version: 2007-06-05
 *  Generated: Wed Nov 14 17:05:49 PST 2007 
 * 
 */

using System;
using System.Xml.Serialization;
using System.Text;

namespace ImageNexus.BenScharbach.ICLTools.Amazon.LS.Amazon.LS.Model
{
    [XmlType(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/")]
    [XmlRoot(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/", IsNullable = false)]
    public class GetActiveSubscriptionsByPidResponse
    {
    
        private  GetActiveSubscriptionsByPidResult getActiveSubscriptionsByPidResultField;
        private  ResponseMetadata responseMetadataField;

        /// <summary>
        /// Gets and sets the GetActiveSubscriptionsByPidResult property.
        /// </summary>
        [XmlElement(ElementName = "GetActiveSubscriptionsByPidResult")]
        public GetActiveSubscriptionsByPidResult GetActiveSubscriptionsByPidResult
        {
            get { return this.getActiveSubscriptionsByPidResultField ; }
            set { this.getActiveSubscriptionsByPidResultField = value; }
        }



        /// <summary>
        /// Sets the GetActiveSubscriptionsByPidResult property
        /// </summary>
        /// <param name="getActiveSubscriptionsByPidResult">GetActiveSubscriptionsByPidResult property</param>
        /// <returns>this instance</returns>
        public GetActiveSubscriptionsByPidResponse WithGetActiveSubscriptionsByPidResult(GetActiveSubscriptionsByPidResult getActiveSubscriptionsByPidResult)
        {
            this.getActiveSubscriptionsByPidResultField = getActiveSubscriptionsByPidResult;
            return this;
        }



        /// <summary>
        /// Checks if GetActiveSubscriptionsByPidResult property is set
        /// </summary>
        /// <returns>true if GetActiveSubscriptionsByPidResult property is set</returns>
        public Boolean IsSetGetActiveSubscriptionsByPidResult()
        {
            return this.getActiveSubscriptionsByPidResultField != null;
        }




        /// <summary>
        /// Gets and sets the ResponseMetadata property.
        /// </summary>
        [XmlElement(ElementName = "ResponseMetadata")]
        public ResponseMetadata ResponseMetadata
        {
            get { return this.responseMetadataField ; }
            set { this.responseMetadataField = value; }
        }



        /// <summary>
        /// Sets the ResponseMetadata property
        /// </summary>
        /// <param name="responseMetadata">ResponseMetadata property</param>
        /// <returns>this instance</returns>
        public GetActiveSubscriptionsByPidResponse WithResponseMetadata(ResponseMetadata responseMetadata)
        {
            this.responseMetadataField = responseMetadata;
            return this;
        }



        /// <summary>
        /// Checks if ResponseMetadata property is set
        /// </summary>
        /// <returns>true if ResponseMetadata property is set</returns>
        public Boolean IsSetResponseMetadata()
        {
            return this.responseMetadataField != null;
        }






        /// <summary>
        /// XML Representation for this object
        /// </summary>
        /// <returns>XML String</returns>

        public String ToXML() {
            StringBuilder xml = new StringBuilder();
            xml.Append("<GetActiveSubscriptionsByPidResponse xmlns=\"http://ls.amazonaws.com/doc/2007-06-05/\">");
            if (IsSetGetActiveSubscriptionsByPidResult()) {
                GetActiveSubscriptionsByPidResult  getActiveSubscriptionsByPidResult = this.GetActiveSubscriptionsByPidResult;
                xml.Append("<GetActiveSubscriptionsByPidResult>");
                xml.Append(getActiveSubscriptionsByPidResult.ToXMLFragment());
                xml.Append("</GetActiveSubscriptionsByPidResult>");
            } 
            if (IsSetResponseMetadata()) {
                ResponseMetadata  responseMetadata = this.ResponseMetadata;
                xml.Append("<ResponseMetadata>");
                xml.Append(responseMetadata.ToXMLFragment());
                xml.Append("</ResponseMetadata>");
            } 
            xml.Append("</GetActiveSubscriptionsByPidResponse>");
            return xml.ToString();
        }

        /**
         * 
         * Escape XML special characters
         */
        private String EscapeXML(String str) {
            StringBuilder sb = new StringBuilder();
            foreach (Char c in str)
            {
                switch (c) {
                case '&':
                    sb.Append("&amp;");
                    break;
                case '<':
                    sb.Append("&lt;");
                    break;
                case '>':
                    sb.Append("&gt;");
                    break;
                case '\'':
                    sb.Append("&#039;");
                    break;
                case '"':
                    sb.Append("&quot;");
                    break;
                default:
                    sb.Append(c);
                    break;
                }
            }
            return sb.ToString();
        }




    }

}