/******************************************************************************* 
 *  Copyright 2007 Amazon Technologies, Inc.  
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  
 *  You may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at: http://aws.amazon.com/apache2.0
 *  This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 *  CONDITIONS OF ANY KIND, either express or implied. See the License for the 
 *  specific language governing permissions and limitations under the License.
 * ***************************************************************************** 
 *    __  _    _  ___ 
 *   (  )( \/\/ )/ __)
 *   /__\ \    / \__ \
 *  (_)(_) \/\/  (___/
 * 
 *  Amazon LS CSharp Library
 *  API Version: 2007-06-05
 *  Generated: Wed Nov 14 17:05:49 PST 2007 
 * 
 */

using System;
using System.Xml.Serialization;
using System.Collections.Generic;
using System.Text;

namespace ImageNexus.BenScharbach.ICLTools.Amazon.LS.Amazon.LS.Model
{
    [XmlType(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/")]
    [XmlRoot(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/", IsNullable = false)]
    public class GetActiveSubscriptionsByPidResult
    {
    
        private List<String> productCodeField;


        /// <summary>
        /// Gets and sets the ProductCode property.
        /// </summary>
        [XmlElement(ElementName = "ProductCode")]
        public List<String> ProductCode
        {
            get
            {
                if (this.productCodeField == null)
                {
                    this.productCodeField = new List<String>();
                }
                return this.productCodeField;
            }
            set { this.productCodeField =  value; }
        }



        /// <summary>
        /// Sets the ProductCode property
        /// </summary>
        /// <param name="list">ProductCode property</param>
        /// <returns>this instance</returns>
        public GetActiveSubscriptionsByPidResult WithProductCode(params String[] list)
        {
            foreach (String item in list)
            {
                ProductCode.Add(item);
            }
            return this;
        }          
 


        /// <summary>
        /// Checks of ProductCode property is set
        /// </summary>
        /// <returns>true if ProductCode property is set</returns>
        public Boolean IsSetProductCode()
        {
            return (ProductCode.Count > 0);
        }






        /// <summary>
        /// XML fragment representation of this object
        /// </summary>
        /// <returns>XML fragment for this object.</returns>
        /// <remarks>
        /// Name for outer tag expected to be set by calling method. 
        /// This fragment returns inner properties representation only
        /// </remarks>


        protected internal String ToXMLFragment() {
            StringBuilder xml = new StringBuilder();
            List<String> productCodeList  =  this.ProductCode;
            foreach (String productCode in productCodeList) { 
                xml.Append("<ProductCode>");
                xml.Append(EscapeXML(productCode));
                xml.Append("</ProductCode>");
            }	
            return xml.ToString();
        }

        /**
         * 
         * Escape XML special characters
         */
        private String EscapeXML(String str) {
            StringBuilder sb = new StringBuilder();
            foreach (Char c in str)
            {
                switch (c) {
                case '&':
                    sb.Append("&amp;");
                    break;
                case '<':
                    sb.Append("&lt;");
                    break;
                case '>':
                    sb.Append("&gt;");
                    break;
                case '\'':
                    sb.Append("&#039;");
                    break;
                case '"':
                    sb.Append("&quot;");
                    break;
                default:
                    sb.Append(c);
                    break;
                }
            }
            return sb.ToString();
        }




    }

}