/******************************************************************************* 
 *  Copyright 2007 Amazon Technologies, Inc.  
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  
 *  You may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at: http://aws.amazon.com/apache2.0
 *  This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 *  CONDITIONS OF ANY KIND, either express or implied. See the License for the 
 *  specific language governing permissions and limitations under the License.
 * ***************************************************************************** 
 *    __  _    _  ___ 
 *   (  )( \/\/ )/ __)
 *   /__\ \    / \__ \
 *  (_)(_) \/\/  (___/
 * 
 *  Amazon LS CSharp Library
 *  API Version: 2007-06-05
 *  Generated: Wed Nov 14 17:05:49 PST 2007 
 * 
 */

using System;
using System.Xml.Serialization;
using System.Text;

namespace ImageNexus.BenScharbach.ICLTools.Amazon.LS.Amazon.LS.Model
{
    [XmlType(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/")]
    [XmlRoot(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/", IsNullable = false)]
    public class VerifyProductSubscriptionByPidResponse
    {
    
        private  VerifyProductSubscriptionByPidResult verifyProductSubscriptionByPidResultField;
        private  ResponseMetadata responseMetadataField;

        /// <summary>
        /// Gets and sets the VerifyProductSubscriptionByPidResult property.
        /// </summary>
        [XmlElement(ElementName = "VerifyProductSubscriptionByPidResult")]
        public VerifyProductSubscriptionByPidResult VerifyProductSubscriptionByPidResult
        {
            get { return this.verifyProductSubscriptionByPidResultField ; }
            set { this.verifyProductSubscriptionByPidResultField = value; }
        }



        /// <summary>
        /// Sets the VerifyProductSubscriptionByPidResult property
        /// </summary>
        /// <param name="verifyProductSubscriptionByPidResult">VerifyProductSubscriptionByPidResult property</param>
        /// <returns>this instance</returns>
        public VerifyProductSubscriptionByPidResponse WithVerifyProductSubscriptionByPidResult(VerifyProductSubscriptionByPidResult verifyProductSubscriptionByPidResult)
        {
            this.verifyProductSubscriptionByPidResultField = verifyProductSubscriptionByPidResult;
            return this;
        }



        /// <summary>
        /// Checks if VerifyProductSubscriptionByPidResult property is set
        /// </summary>
        /// <returns>true if VerifyProductSubscriptionByPidResult property is set</returns>
        public Boolean IsSetVerifyProductSubscriptionByPidResult()
        {
            return this.verifyProductSubscriptionByPidResultField != null;
        }




        /// <summary>
        /// Gets and sets the ResponseMetadata property.
        /// </summary>
        [XmlElement(ElementName = "ResponseMetadata")]
        public ResponseMetadata ResponseMetadata
        {
            get { return this.responseMetadataField ; }
            set { this.responseMetadataField = value; }
        }



        /// <summary>
        /// Sets the ResponseMetadata property
        /// </summary>
        /// <param name="responseMetadata">ResponseMetadata property</param>
        /// <returns>this instance</returns>
        public VerifyProductSubscriptionByPidResponse WithResponseMetadata(ResponseMetadata responseMetadata)
        {
            this.responseMetadataField = responseMetadata;
            return this;
        }



        /// <summary>
        /// Checks if ResponseMetadata property is set
        /// </summary>
        /// <returns>true if ResponseMetadata property is set</returns>
        public Boolean IsSetResponseMetadata()
        {
            return this.responseMetadataField != null;
        }






        /// <summary>
        /// XML Representation for this object
        /// </summary>
        /// <returns>XML String</returns>

        public String ToXML() {
            StringBuilder xml = new StringBuilder();
            xml.Append("<VerifyProductSubscriptionByPidResponse xmlns=\"http://ls.amazonaws.com/doc/2007-06-05/\">");
            if (IsSetVerifyProductSubscriptionByPidResult()) {
                VerifyProductSubscriptionByPidResult  verifyProductSubscriptionByPidResult = this.VerifyProductSubscriptionByPidResult;
                xml.Append("<VerifyProductSubscriptionByPidResult>");
                xml.Append(verifyProductSubscriptionByPidResult.ToXMLFragment());
                xml.Append("</VerifyProductSubscriptionByPidResult>");
            } 
            if (IsSetResponseMetadata()) {
                ResponseMetadata  responseMetadata = this.ResponseMetadata;
                xml.Append("<ResponseMetadata>");
                xml.Append(responseMetadata.ToXMLFragment());
                xml.Append("</ResponseMetadata>");
            } 
            xml.Append("</VerifyProductSubscriptionByPidResponse>");
            return xml.ToString();
        }

        /**
         * 
         * Escape XML special characters
         */
        private String EscapeXML(String str) {
            StringBuilder sb = new StringBuilder();
            foreach (Char c in str)
            {
                switch (c) {
                case '&':
                    sb.Append("&amp;");
                    break;
                case '<':
                    sb.Append("&lt;");
                    break;
                case '>':
                    sb.Append("&gt;");
                    break;
                case '\'':
                    sb.Append("&#039;");
                    break;
                case '"':
                    sb.Append("&quot;");
                    break;
                default:
                    sb.Append(c);
                    break;
                }
            }
            return sb.ToString();
        }




    }

}