/******************************************************************************* 
 *  Copyright 2007 Amazon Technologies, Inc.  
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  
 *  You may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at: http://aws.amazon.com/apache2.0
 *  This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 *  CONDITIONS OF ANY KIND, either express or implied. See the License for the 
 *  specific language governing permissions and limitations under the License.
 * ***************************************************************************** 
 *    __  _    _  ___ 
 *   (  )( \/\/ )/ __)
 *   /__\ \    / \__ \
 *  (_)(_) \/\/  (___/
 * 
 *  Amazon LS CSharp Library
 *  API Version: 2007-06-05
 *  Generated: Wed Nov 14 17:05:49 PST 2007 
 * 
 */

using System;
using System.Xml.Serialization;
using System.Collections.Generic;

namespace ImageNexus.BenScharbach.ICLTools.Amazon.LS.Amazon.LS.Model
{
    [XmlType(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/")]
    [XmlRoot(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/", IsNullable = false)]
    public class VerifyProductSubscriptionByTokens
    {
    
        private String userTokenField;

        private String productTokenField;


        /// <summary>
        /// Gets and sets the UserToken property.
        /// </summary>
        [XmlElement(ElementName = "UserToken")]
        public String UserToken
        {
            get { return this.userTokenField ; }
            set { this.userTokenField= value; }
        }



        /// <summary>
        /// Sets the UserToken property
        /// </summary>
        /// <param name="userToken">UserToken property</param>
        /// <returns>this instance</returns>
        public VerifyProductSubscriptionByTokens WithUserToken(String userToken)
        {
            this.userTokenField = userToken;
            return this;
        }



        /// <summary>
        /// Checks if UserToken property is set
        /// </summary>
        /// <returns>true if UserToken property is set</returns>
        public Boolean IsSetUserToken()
        {
            return  this.userTokenField != null;

        }


        /// <summary>
        /// Gets and sets the ProductToken property.
        /// </summary>
        [XmlElement(ElementName = "ProductToken")]
        public String ProductToken
        {
            get { return this.productTokenField ; }
            set { this.productTokenField= value; }
        }



        /// <summary>
        /// Sets the ProductToken property
        /// </summary>
        /// <param name="productToken">ProductToken property</param>
        /// <returns>this instance</returns>
        public VerifyProductSubscriptionByTokens WithProductToken(String productToken)
        {
            this.productTokenField = productToken;
            return this;
        }



        /// <summary>
        /// Checks if ProductToken property is set
        /// </summary>
        /// <returns>true if ProductToken property is set</returns>
        public Boolean IsSetProductToken()
        {
            return  this.productTokenField != null;

        }





        /// <summary>
        /// Representation of operation that returns
        /// Dictionary of AWS Query Parameters
        /// </summary>
        public IDictionary<String, String> ToDictionary()
        {
            IDictionary<String, String> parameters = new Dictionary<String, String>();
            parameters.Add("Action", "VerifyProductSubscriptionByTokens");
            if (IsSetUserToken()) 
            {
                parameters.Add("UserToken", UserToken);
            }
            if (IsSetProductToken()) 
            {
                parameters.Add("ProductToken", ProductToken);
            }
            return parameters;
        }


    }

}