/******************************************************************************* 
 *  Copyright 2007 Amazon Technologies, Inc.  
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  
 *  You may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at: http://aws.amazon.com/apache2.0
 *  This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 *  CONDITIONS OF ANY KIND, either express or implied. See the License for the 
 *  specific language governing permissions and limitations under the License.
 * ***************************************************************************** 
 *    __  _    _  ___ 
 *   (  )( \/\/ )/ __)
 *   /__\ \    / \__ \
 *  (_)(_) \/\/  (___/
 * 
 *  Amazon LS CSharp Library
 *  API Version: 2007-06-05
 *  Generated: Wed Nov 14 17:05:49 PST 2007 
 * 
 */

using System;
using System.Xml.Serialization;
using System.Text;

namespace ImageNexus.BenScharbach.ICLTools.Amazon.LS.Amazon.LS.Model
{
    [XmlType(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/")]
    [XmlRoot(Namespace = "http://ls.amazonaws.com/doc/2008-04-28/", IsNullable = false)]
    public class VerifyProductSubscriptionByTokensResult
    {
    
        private Boolean? subscribedField;


        /// <summary>
        /// Gets and sets the Subscribed property.
        /// </summary>
        [XmlElement(ElementName = "Subscribed")]
        public Boolean Subscribed
        {
            get { return this.subscribedField.GetValueOrDefault() ; }
            set { this.subscribedField= value; }
        }



        /// <summary>
        /// Sets the Subscribed property
        /// </summary>
        /// <param name="subscribed">Subscribed property</param>
        /// <returns>this instance</returns>
        public VerifyProductSubscriptionByTokensResult WithSubscribed(Boolean subscribed)
        {
            this.subscribedField = subscribed;
            return this;
        }



        /// <summary>
        /// Checks if Subscribed property is set
        /// </summary>
        /// <returns>true if Subscribed property is set</returns>
        public Boolean IsSetSubscribed()
        {
            return  this.subscribedField.HasValue;

        }




        /// <summary>
        /// XML fragment representation of this object
        /// </summary>
        /// <returns>XML fragment for this object.</returns>
        /// <remarks>
        /// Name for outer tag expected to be set by calling method. 
        /// This fragment returns inner properties representation only
        /// </remarks>


        protected internal String ToXMLFragment() {
            StringBuilder xml = new StringBuilder();
            if (IsSetSubscribed()) {
                xml.Append("<Subscribed>");
                xml.Append(this.Subscribed);
                xml.Append("</Subscribed>");
            }
            return xml.ToString();
        }

        /**
         * 
         * Escape XML special characters
         */
        private String EscapeXML(String str) {
            StringBuilder sb = new StringBuilder();
            foreach (Char c in str)
            {
                switch (c) {
                case '&':
                    sb.Append("&amp;");
                    break;
                case '<':
                    sb.Append("&lt;");
                    break;
                case '>':
                    sb.Append("&gt;");
                    break;
                case '\'':
                    sb.Append("&#039;");
                    break;
                case '"':
                    sb.Append("&quot;");
                    break;
                default:
                    sb.Append(c);
                    break;
                }
            }
            return sb.ToString();
        }




    }

}