// This software code is made available "AS IS" without warranties of any        
// kind.  You may copy, display, modify and redistribute the software            
// code either by itself or as incorporated into your code; provided that        
// you do not remove any proprietary notices.  Your use of this software         
// code is at your own risk and you waive any claim against Amazon               
// Digital Services, Inc. or its affiliates with respect to your use of          
// this software code. (c) 2006 Amazon Digital Services, Inc. or its             
// affiliates.          

using System;
using System.Xml;

namespace ImageNexus.BenScharbach.ICLTools.S3Sample
{
    public class Bucket
    {
        private readonly string _name;
        public string Name
        {
            get
            {
                return _name;
            }
        }

        private readonly DateTime _creationDate;
        public DateTime CreationDate
        {
            get
            {
                return _creationDate;
            }
        }

        public Bucket(string name, DateTime creationDate)
        {
            _name = name;
            _creationDate = creationDate;
        }

        public Bucket(XmlNode node)
        {
            foreach (XmlNode child in node.ChildNodes)
            {
                if (child.Name.Equals("Name"))
                {
                    _name = Utils.GetXmlChildText(child);
                }
                else if (child.Name.Equals("CreationDate"))
                {
                    string strDate = Utils.GetXmlChildText(child);
                    _creationDate = Utils.ParseDate(strDate);
                }
            }
        }
    }
}
