// This software code is made available "AS IS" without warranties of any        
// kind.  You may copy, display, modify and redistribute the software            
// code either by itself or as incorporated into your code; provided that        
// you do not remove any proprietary notices.  Your use of this software         
// code is at your own risk and you waive any claim against Amazon               
// Digital Services, Inc. or its affiliates with respect to your use of          
// this software code. (c) 2006-2007 Amazon Digital Services, Inc. or its             
// affiliates.          


using System.Net;
using System.Xml;

namespace ImageNexus.BenScharbach.ICLTools.S3Sample
{
    public class InitiateMultipartUploadResponse : Response
    {
        /// <summary>
        /// The name of the bucket being listed.  Null if the request fails.
        /// </summary>
        private readonly string _bucketName;
        public string BucketName
        {
            get
            {
                return _bucketName;
            }
        }

        private readonly string _key;
        public string Key
        {
            get
            {
                return _key;
            }
        }

       private readonly string _uploadId;
        public string UploadId
        {
            get
            {
                return _uploadId;
            }
        }

        public InitiateMultipartUploadResponse(WebResponse response)
            : base(response)
        {
            //entries = new ArrayList();
            //commonPrefixEntries = new ArrayList();
            var rawBucketXml = Utils.SlurpInputStreamAsString(response.GetResponseStream());

            var doc = new XmlDocument();
            doc.LoadXml( rawBucketXml );
            foreach (XmlNode node in doc.ChildNodes)
            {
                if (!node.Name.Equals("ListBucketResult")) continue;

                foreach (XmlNode child in node.ChildNodes)
                {
                    if (child.Name.Equals("Name"))
                    {
                        _bucketName = Utils.GetXmlChildText(child);
                    }
                    else if (child.Name.Equals("Key"))
                    {
                        _key = Utils.GetXmlChildText(child);
                    }
                    else if (child.Name.Equals("UploadId"))
                    {
                        _uploadId = Utils.GetXmlChildText(child);
                    }
                        
                }
            }
        }
    }
}
