// This software code is made available "AS IS" without warranties of any        
// kind.  You may copy, display, modify and redistribute the software            
// code either by itself or as incorporated into your code; provided that        
// you do not remove any proprietary notices.  Your use of this software         
// code is at your own risk and you waive any claim against Amazon               
// Digital Services, Inc. or its affiliates with respect to your use of          
// this software code. (c) 2006-2007 Amazon Digital Services, Inc. or its             
// affiliates.          


using System.Net;
using System.Xml;

namespace ImageNexus.BenScharbach.ICLTools.S3Sample
{
    public class LocationResponse : Response
    {
        private readonly string _location;

        /// <summary>
        /// Return the reported Location.  
        /// If null, then response was not a valid location response.
        /// If Location == "", then location is not specified.
        /// </summary>
        public string Location
        {
            get { return _location; }
        }

        public LocationResponse(WebResponse response)
            : base(response)
        {
            try
            {
                var r = new XmlTextReader(response.GetResponseStream());
                while (r.Read() && !r.IsStartElement())
                {
                }
                _location = r.ReadElementString("LocationConstraint") ?? "";
            }
            catch (XmlException)
            {
            }
        }


    }
}
