﻿using System;

namespace ImageNexus.BenScharbach.ICLTools.S3Sample
{
    // Note: Taken from AmazonS3 SDK
    public class TransferProgressArgs : EventArgs
    {
        // Fields
        private readonly long _incrementTransferred;
        private readonly long _total;
        private readonly long _transferred;

        // Methods
        public TransferProgressArgs(long incrementTransferred, long transferred, long total)
        {
            _incrementTransferred = incrementTransferred;
            _transferred = transferred;
            _total = total;
        }

        public override string ToString()
        {
            return string.Concat(new object[] { "Transfer Statistics. Percentage completed: ", PercentDone, ", Bytes transferred: ", _transferred, ", Total bytes to transfer: ", _total });
        }

        // Properties
        internal long IncrementTransferred
        {
            get
            {
                return _incrementTransferred;
            }
        }

        public int PercentDone
        {
            get
            {
                return (int)((_transferred * 100L) / _total);
            }
        }

        public long TotalBytes
        {
            get
            {
                return _total;
            }
        }

        public long TransferredBytes
        {
            get
            {
                return _transferred;
            }
        }
    }
}