using System.Collections.ObjectModel;
using System.Windows.Media.Imaging;

namespace ImageNexus.BenScharbach.ICLCommon.DirectoryTreeInterfaces.Interfaces
{
    // 11/7/2010
    public interface IDirectoryItemViewModel : ITreeViewItemViewModel 
    {
        /// <summary>
        /// Gets the current directory name.
        /// </summary>
        string DirectoryName { get; }

        /// <summary>
        /// Gets the current directory image.
        /// </summary>
        BitmapImage DirectoryImage { get; }

        /// <summary>
        /// Returns an observable <see cref="IFileItemViewModel"/> collection.
        /// </summary>
        ObservableCollection<IFileItemViewModel> Files { get; }

        /// <summary>
        /// Returns an observable <see cref="IDirectoryItemViewModel"/> collection.
        /// </summary>
        ObservableCollection<IDirectoryItemViewModel> DirectoriesOnly { get; }

        // 12/9/2010
        /// <summary>
        /// Gets or sets if this directory is in indeterminate mode - 
        /// In other words, some children items are checked.
        /// </summary>
        /// <remarks>
        /// This is used in the UI to let the end-user know when some
        /// directory has items checked.
        /// </remarks>
        bool IsIndeterminate { get; set; }

        // 9/3/2011
        /// <summary>
        /// Gets the current data <see cref="IDirectoryItem"/> item for this instance.
        /// </summary>
        IDirectoryItem DirectoryItem { get; }

    }
}