using System;
using System.IO;
using System.Windows.Media.Imaging;

namespace ImageNexus.BenScharbach.ICLCommon.DirectoryTreeInterfaces.Interfaces
{
    // 1/7/2012
    /// <summary>
    /// Interface for the drive data item.
    /// </summary>
    public interface IDriveItem
    {
        /// <summary>
        /// Returns the root directory as <see cref="System.IO.DirectoryInfo"/>.
        /// </summary>
        DirectoryInfo DirectoryInfo { get; }

        /// <summary>
        /// Returns the root directory name.
        /// </summary>
        string GetRootDirectory { get; }

        /// <summary>
        /// Gets the current drive name.
        /// </summary>
        string DriveName { get; }

        /// <summary>
        /// Gets the drive icon image.
        /// </summary>
        [Obsolete("(8.20.2011) Removed, since can cause cross-thread errors if resource created on seperate thread.  Furthermore, the XAML icons are now used instead of the old bitmap images.", true)]
        BitmapSource DriveIcon { get; }

        /// <summary>
        /// Returns an instance of the DriveInfo.
        /// </summary>
        DriveInfo DriveInfoI { get; }
    }
}