using System.Collections.ObjectModel;

namespace ImageNexus.BenScharbach.ICLCommon.DirectoryTreeInterfaces.Interfaces
{
    // 11/7/2010
    public interface ITreeViewItemViewModel
    {
        /// <summary>
        /// Returns the logical child items of this object.
        /// </summary>
        ObservableCollection<ITreeViewItemViewModel> Children { get; }

        /// <summary>
        /// Returns true if this object's Children have not yet been populated.
        /// </summary>
        bool HasDummyChild { get; }

        /// <summary>
        /// Gets/sets whether the TreeViewItem 
        /// associated with this object is expanded.
        /// </summary>
        bool IsExpanded { get; set; }

        /// <summary>
        /// Gets/sets whether the TreeViewItem 
        /// associated with this object is selected.
        /// </summary>
        bool IsSelected { get; set; }

        /// <summary>
        /// Gets/sets whether the TreeViewItem 
        /// associated with this object is checked.
        /// </summary>
        bool IsChecked { get; set; }

        /// <summary>
        /// Gets/sets whether the TreeViewItem 
        /// associated with this object has the given foreground color.
        /// </summary>
        string Foreground { get; set; }

        /// <summary>
        /// Gets/sets whether the TreeViewItem 'CheckBox'
        /// associated with this object has the given background color.
        /// </summary>
        string CheckBoxBackground { get; set; }

        /// <summary>
        /// Parent
        /// </summary>
        ITreeViewItemViewModel Parent { get; }

        // 12/8/2010
        /// <summary>
        /// Gets/sets whether the TreeViewItem 
        /// associated with this object has a schedule number.
        /// </summary>
        int ScheduleNumber { get; set; }
    }
}