﻿using System;
using System.IO;
using System.Windows.Media.Imaging;
using ImageNexus.BenScharbach.Common.AttributesCodeInjector.AttsException;
using ImageNexus.BenScharbach.ICLCommon.DirectoryTreeInterfaces.Interfaces;

namespace ImageNexus.BenScharbach.ICLCommon.DirectoryTreeViewModel.CloudDataModel.DriveDataModel
{
    // 7/2/2010
    /// <summary>
    /// The <see cref="DriveCloudItem"/> class holds information for a single drive in the cloud.
    /// </summary>
    public class DriveCloudItem : IDriveItem
    {
        #region Fields

        // 7/4/2010 - Drive Icons
        private static bool _driveIconsLoaded;

        #endregion

        #region Properties

        /// <summary>
        /// This returns a null for the cloud service.
        /// </summary>
        public DirectoryInfo DirectoryInfo
        {
            get { return null; }
        }

        /// <summary>
        /// This returns a null for the cloud service.
        /// </summary>
        public DriveInfo DriveInfoI
        {
            get { return null; }
        }

        /// <summary>
        /// Returns the root directory; in this case, itself.
        /// </summary>
        public string GetRootDirectory
        {
            get { return DriveName; }
        }

        /// <summary>
        /// Gets the current drive name.
        /// </summary>
        public string DriveName { get; private set; }

        // 8/20/2011: Note: Removed, since can cause cross-thread errors if resource
        //            Note: Created on seperate thread.  Furthermore, the XAML icons
        //            Note: are now used instead of the old bitmap images. - Ben
        /// <summary>
        /// Gets the drive icon image.
        /// </summary>
        [Obsolete("(8.20.2011) Removed, since can cause cross-thread errors if resource created on seperate thread.  Furthermore, the XAML icons are now used instead of the old bitmap images.", true)]
        public BitmapSource DriveIcon { get; private set; }

        

        #endregion

        /// <summary>
        /// constructor
        /// </summary>
       [CatchAllExceptionHandling(false, null, null)]
        public DriveCloudItem(string driveName)
        {
            // 11/7/2010 - Store DriveName
            DriveName = driveName;

            // 7/4/2010 - Load Drive Icons
            if (_driveIconsLoaded) return;

            // 8/20/2011: Note: Removed, since can cause cross-thread errors if resource
            //            Note: Created on seperate thread.  Furthermore, the XAML icons
            //            Note: are now used instead of the old bitmap images. - Ben
            //var driveOpen = new Bitmap(Resources.Hard_Disk_32);
            // 11/16/2010 - Convert to Transparent bitmapsource.
            //_driveIcon = driveOpen.ConvertToTransparentBitmapSource();

            _driveIconsLoaded = true;
        }
    }
}