﻿using System;
using System.IO;

namespace ImageNexus.BenScharbach.ICLCommon.DirectoryTreeViewModel.Delegates
{
    /// <summary>
    /// This <see cref="SelectedItemEventArgs"/> class is used to pass important
    /// attributes to the event handler.
    /// </summary>
    public class SelectedItemEventArgs : EventArgs
    {
        /// <summary>
        /// Directory for treeView.
        /// </summary>
        public string DirectoryName;

        /// <summary>
        /// Directory for treeView.
        /// </summary>
        public DirectoryInfo DirectoryInfo;

        /// <summary>
        /// ImageName for display icon, if any.
        /// </summary>
        public string ImageName;

        /// <summary>
        /// Current Drive selected.
        /// </summary>
        public DriveInfo DriveInfo;
    }
}