﻿using System.Collections.ObjectModel;
using ImageNexus.BenScharbach.Common.AttributesCodeInjector.AttsException;
using ImageNexus.BenScharbach.ICLCommon.DirectoryTreeInterfaces.Interfaces;
using ImageNexus.BenScharbach.ICLCommon.DirectoryViewModelBase.BaseClasses;
using ImageNexus.BenScharbach.ICLCommon.DirectoryViewModelBase.Enums;
using ImageNexus.BenScharbach.ICLCommon.ICLInterface;
using ImageNexus.BenScharbach.ICLCommon.WpfTreeViewControl.Interfaces.DirectoryViewInterfaces;

namespace ImageNexus.BenScharbach.ICLCommon.DirectoryTreeViewModel.ViewModel.DirectoryViewModel
{
    /// <summary>
    /// The ViewModel for the LoadOnDemand demo.  This simply
    /// exposes a read-only collection of <see cref="DirectoryInfoViewModel"/>.
    /// </summary>
    public sealed class DirectoryViewModel : ViewModelBase, IDirectoryViewModel
    {
        private readonly ObservableCollection<IDirectoryItemViewModel> _directories; 

        // 12/14/2010: Updated the Constructor now have the new 'IMainWindowTreeView' interface.
        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="mainWindow"> </param>
        /// <param name="viewModelType"> </param>
        /// <param name="directories"> </param>
        [CatchAllExceptionHandling(false, null, null)]
        public DirectoryViewModel(IMainWindow mainWindow, ViewModelTypeEnum viewModelType, ObservableCollection<IDirectoryItemViewModel> directories)
            : base(mainWindow, viewModelType)
        {
            // Set Directories
            _directories = directories;
        }

        /// <summary>
        /// Returns list of <see cref="DirectoryInfoViewModel"/> collection.
        /// </summary>
        public ObservableCollection<IDirectoryItemViewModel> Directories
        {
            get { return _directories; }
        }
    }
}