using ImageNexus.BenScharbach.ICLCommon.DirectoryViewModelBase.Enums;
using ImageNexus.BenScharbach.ICLCommon.ICLInterface;

namespace ImageNexus.BenScharbach.ICLCommon.DirectoryViewModelBase.BaseClasses
{
    /// <summary>
    /// This abstract class is the base of ALL View-Model classes.
    /// </summary>
    public abstract class ViewModelBase
    {

        #region Properties

        /// <summary>
        /// Retrievies an instance of the <see cref="IMainWindow"/> interface.
        /// </summary>
        public virtual IMainWindow MainWindowParent { get; private set; }

        /// <summary>
        /// View-Model enum in use.
        /// </summary>
        public ViewModelTypeEnum ViewModelType { get; private set;}

        #endregion

        /// <summary>
        /// Initializes the base class.
        /// </summary>
        protected ViewModelBase(IMainWindow mainWindow, ViewModelTypeEnum viewModelType)
        {
            MainWindowParent = mainWindow;
            ViewModelType = viewModelType;
        }
    }
}