﻿using System;
using System.Diagnostics;
using System.ServiceModel;
using ImageNexus.BenScharbach.Common.AttributesCodeInjector.AttsException;

// 7/9/2011
/*[assembly: MefLogger(LoggerTypeEnum.TraceLog, "ICLFrontEndConsole", LogPropertyCalls = true,
        LoggerVerbosity = LoggerVerbosityEnum.LogEntry | LoggerVerbosityEnum.LogExceptions,
        TraceLoggerOutputPath = @"ICL_Trace_Logs\LoggerICLExtensions.txt", WpfLogWindowInstanceId = 1,
        AttributeTargetTypes = "ICLExtensions.*",
        AttributeTargetTypeAttributes = MulticastAttributes.Public)]*/

namespace ImageNexus.BenScharbach.ICLTools.ICLExtensions
{
    // 12/5/2010
    ///<summary>
    /// The <see cref="WcfExtensions"/> is used to extend other pre-made classes with new
    /// abilities. 
    ///</summary>
    public static class WcfExtensions
    {
        /// <summary>
        /// Safely closes a service client connection.
        /// </summary>
        /// <param name="myServiceClient">The client connection to close.</param>
        [CatchAllExceptionHandling(false, null, null)]
        public static void CloseConnection(this ICommunicationObject myServiceClient)
        {
            if (myServiceClient.State != CommunicationState.Opened)
            {
                return;
            }

            try
            {
                myServiceClient.Close();
            }
            catch (CommunicationException ex)
            {
                Debug.Print(ex.ToString());
                myServiceClient.Abort();
            }
            catch (TimeoutException ex)
            {
                Debug.Print(ex.ToString());
                myServiceClient.Abort();
            }
            catch (Exception ex)
            {
                Debug.Print(ex.ToString());
                myServiceClient.Abort();
                throw;
            }

        }
    }
}
