﻿using System.Reflection;
using System.Windows;
using ImageNexus.BenScharbach.Common.AttributesCodeInjector.AttsException;
using ImageNexus.BenScharbach.ICLTools.ICLExtensions;

namespace ImageNexus.BenScharbach.ImageCloudLock
{
    /// <summary>
    /// Interaction logic for About.xaml
    /// </summary>
    public partial class About : Window
    {
        // Assembly Project Location
        /// <summary>
        /// Sets the initial project <see cref="Assembly"/>, which is used to
        /// load all reference assemblies.
        /// </summary>
        [CatchAllExceptionHandling(false, null, null)]
        public Assembly ProjectAssembly
        {
            set { assemblyInfoControl1.ProjectAssembly = value; }
        }

        /// <summary>
        /// Constuctor
        /// </summary>
        /// <param name="projectAssembly"></param>
        [CatchAllExceptionHandling(false, null, null)]
        public About(Assembly projectAssembly)
        {
            InitializeComponent();

            // Set Project Assembly
            ProjectAssembly = projectAssembly;

            // Set Edition type depending on license
            //var license = new LicenseHelper();

            // Set License Edition
            txtEditionType.Text = "Free Edition";

            // Set Image.
            ceoPic.Source = Properties.Resources.BenScharbachPic.ToBitmapImage();

            // Set License UserName
            txtLicenseUser.Text = string.Empty; //license.UserName;
            // Set License Serial Number
            txtLicenseSerial.Text = string.Empty; // license.SerialNumber;

        }

    }
}
