﻿using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using ImageNexus.BenScharbach.ICLTools.StorageTools.BackupData;

namespace ImageNexus.BenScharbach.ImageCloudLock
{
    /// <summary>
    /// Interaction logic for FilesCheckedWindow.xaml
    /// </summary>
    public partial class FilesCheckedWindow : Window
    {
        /// <summary>
        /// Constructor
        /// </summary>
        public FilesCheckedWindow(IEnumerable<FileBackupItem> filesForBackupList)
        {
            InitializeComponent();

            // iterate the files to delete
            foreach (var item in filesForBackupList)
            {
                listViewFilesChecked.Items.Add(new TextBlock() { Text = item.FullName, FontSize = 8, Foreground = Brushes.Navy });
            }
        }

        /// <summary>
        /// Closes current window.
        /// </summary>
        private void btnClose_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
    }
}
