﻿using System.Windows;
using System.Windows.Threading;
using ImageNexus.BenScharbach.Common.AttributesCodeInjector.AttsException;
using ImageNexus.BenScharbach.Common.AttributesCodeInjector.AttsThreading;

namespace ImageNexus.BenScharbach.ImageCloudLock
{
    /// <summary>
    /// Interaction logic for MessageWindow.xaml
    /// </summary>
    public partial class MessageWindow : Window
    {
        /// <summary>
        /// Default constructor
        /// </summary>
        public MessageWindow()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Contructor
        /// </summary>
        /// <param name="messageToDisplay">Message to display</param>
        public MessageWindow(string messageToDisplay)
        {
            InitializeComponent();

            txtMessage.Text = messageToDisplay;
        }

        // 1/25/2012
        /// <summary>
        /// Sets message to display
        /// </summary>
        /// <param name="messageToDisplay">Message to display</param>
        [CatchAllExceptionHandling(false, null, null)]
        [OnGuiThread(DispatcherPriority.Normal, Asynchronous = false)]
        public void SetMessageToDiplay(string messageToDisplay)
        {
            txtMessage.Text = messageToDisplay;
        }
    }
}
