﻿using System;

namespace ImageNexus.BenScharbach.ImageCloudLock.Xml
{
    // 3/23/2012
    /// <summary>
    /// The <see cref="XmlLogFileOutputStructure"/> stores data about a current cloud file operation, used for logging serialization.
    /// </summary>
    [Serializable]
    public struct XmlLogFileOutputStructure
    {
        /// <summary>
        /// Result of operation.
        /// </summary>
        public bool Result { get; set; }

        /// <summary>
        /// Full file path location
        /// </summary>
        public string FilePath { get; set; }

        /// <summary>
        /// File size, shown as string.
        /// </summary>
        public string FileSize { get; set; }

        /// <summary>
        /// Is the current file marked as ReadOnly.
        /// </summary>
        public bool IsReadOnly { get; set; }
    }
}