﻿namespace ImageNexus.BenScharbach.ICLCommon.WpfTreeViewControl.CheckedDataModel
{
    // 11/8/2010
    /// <summary>
    /// The <see cref="IDirectoryCheckedItem{T}"/> interface for directory checked item.
    /// </summary>
    public interface IDirectoryCheckedItem<T>
    {
        // 12/10/2010
        /// <summary>
        /// Gets if the current instance is checked.
        /// </summary>
        bool IsChecked { get; set; }

        // 11/9/2010
        /// <summary>
        /// Stores a reference to the original Generic 'T' type item, used
        /// to gain access to this item.
        /// </summary>
        T OriginalItem { get; }

        /// <summary>
        /// Gets the name of the directory.
        /// </summary>
        string Name { get; }

        /// <summary>
        /// Gets the full path of the directory. 
        /// </summary>
        string FullName { get; }

        // 12/7/2010
        /// <summary>
        /// Gets or sets a number representing a specific schedule to use.
        /// </summary>
        int ScheduleNumber { get; set; }

        // 12/9/2010
        /// <summary>
        /// Gets or sets if this directory is in indeterminate mode - 
        /// In other words, some children items are checked.
        /// </summary>
        /// <remarks>
        /// This is used in the UI to let the end-user know when some
        /// directory has items checked.
        /// </remarks>
        bool IsIndeterminate { get; set; }

       
    }
}
