﻿namespace ImageNexus.BenScharbach.ICLCommon.WpfTreeViewControl.CheckedDataModel
{
    // 11/8/2010
    /// <summary>
    /// The <see cref="IFileCheckedItem{T}"/> interface for file checked item.
    /// </summary>
    public interface IFileCheckedItem<T>
    {
        // 12/10/2010
        /// <summary>
        /// Gets if the current instance is checked.
        /// </summary>
        bool IsChecked { get; set; }

        // 11/9/2010
        /// <summary>
        /// Gets a reference to the original Generic 'T' type item, used
        /// to gain access to this item.
        /// </summary>
        T OriginalItem { get; }

        /// <summary>
        /// Gets the name of the file.
        /// </summary>
        string Name { get; }

        /// <summary>
        /// Gets the full path of the file.
        /// </summary>
        string FullName { get; }

        /// <summary>
        /// Gets a string representing the directory's full path.
        /// </summary>
        string DirectoryName { get; }

        // 12/7/2010
        /// <summary>
        /// Gets or sets a number representing a specific schedule to use.
        /// </summary>
        int ScheduleNumber { get; set; }

        
    }
}
